## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 27
%bcond check 1
%global debug_package %{nil}

%global crate libdeflater

Name:           rust-libdeflater
Version:        1.23.0
Release:        %autorelease
Summary:        Bindings to libdeflate for DEFLATE

License:        Apache-2.0
URL:            https://crates.io/crates/libdeflater
Source:         %{crates_source}

BuildRequires:  cargo-rpm-macros >= 24
BuildRequires:  tomcli

%global _description %{expand:
Bindings to libdeflate for DEFLATE (de)compression exposed as non-
streaming buffer operations. Contains bindings for raw deflate, zlib,
and gzip data.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+dynamic-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+dynamic-devel %{_description}

This package contains library source intended for building other packages which
use the "dynamic" feature of the "%{crate}" crate.

%files       -n %{name}+dynamic-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+freestanding-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+freestanding-devel %{_description}

This package contains library source intended for building other packages which
use the "freestanding" feature of the "%{crate}" crate.

%files       -n %{name}+freestanding-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+use_rust_alloc-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+use_rust_alloc-devel %{_description}

This package contains library source intended for building other packages which
use the "use_rust_alloc" feature of the "%{crate}" crate.

%files       -n %{name}+use_rust_alloc-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep
# Do not depend on criterion; it is needed only for benchmarks.
tomcli set Cargo.toml del dev-dependencies.criterion

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.23.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Sat Dec 21 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 1.23.0-1
- Update to 1.23.0

* Mon Oct 07 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 1.22.0-1
- Update to 1.22.0 (close RHBZ#2316920)

* Tue Aug 06 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 1.21.0-1
- Update to 1.21.0 (close RHBZ#2303086)

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.20.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Thu Apr 25 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 1.20.0-2
- Let the spec file be unmodified rust2rpm output

* Thu Apr 04 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 1.20.0-1
- Update to 1.20.0 (close RHBZ#2273308)
- Avoid manual patching of Cargo.toml

* Wed Feb 28 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 1.19.3-1
- Update to 1.19.3 (close RHBZ#2266565)

* Thu Feb 22 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 1.19.2-1
- Update to 1.19.2 (close RHBZ#2265527)

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.19.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 12 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 1.19.0-2
- Avoid an unnecessary and unwanted ruby dependency

* Fri Jan 12 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 1.19.0-1
- Update to 1.19.0

* Wed Jun 23 2021 Rémi Lauzier <remilauzier@protonmail.com> - 0.7.3-1
- Update to 0.7.3.
- Fixes RHBZ#1975134

* Mon May 31 2021 Rémi Lauzier <remilauzier@protonmail.com> - 0.7.1-1
- Initial package

## END: Generated by rpmautospec
